Summary:	Live systems generation and copying tool
Name:		draklive
Version:	2.6
Release:	%mkrel 1
Source0:	%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		System/Configuration
Url:		http://wiki.mandriva.com/en/draklive
%ifnarch %arm
Requires:	syslinux grub
%endif
Requires:	xorriso mgatools
Requires:	curl rsync dosfstools mtools patch squashfs-tools urpmi
Recommends:	draklive-config
Recommends:	drakx-installer-images drakx-installer-rescue
Recommends:	x11-server-xnest mkisofs

%description
This tool lets you generate %{_vendor} live systems.

%prep
%setup -q

%install
install -D -m 0755 %{name} %{buildroot}/%{_sbindir}/%{name}
mkdir -p %{buildroot}/%{perl_vendorlib}/MDV/Draklive/
install -D -m 0755 lib/MDV/Draklive/*.pm %{buildroot}/%{perl_vendorlib}/MDV/Draklive/

%files
%doc NEWS
%{_sbindir}/%{name}
%{perl_vendorlib}/MDV/Draklive/*


%changelog
* Mon Apr 17 2017 martinw <martinw> 2.6-1.mga6
+ Revision: 1096604
- use systemctl to disable services and timers
- disable audit logging as it floods the logs

* Sat Dec 17 2016 martinw <martinw> 2.5-1.mga6
+ Revision: 1075817
- remove control characters from boot/help.msg
- remove obsolete 'requires bootsplash'

* Sun Nov 13 2016 martinw <martinw> 2.4-1.mga6
+ Revision: 1066920
- use overlayfs instead of unionfs
- replace placeholder with actual disk label in EFI grub.cfg file
- don't include region in the product name when region is 'all'
- generate sha512 checksum and DATE.txt in ISO master step
- change syslinux 'harddisk' menu entry to use chain loading
- mount /dev in chroot so /dev/null is available
- automatically generate the EFI boot image (efiboot.img)
- replace incomplete syslinux/bootlogo with gfxboot
- create mgagfxbootXXXX temporary directory in cwd

* Sun Aug 07 2016 blino <blino> 2.3-7.mga6
+ Revision: 1044921
- make the package arched to allow arch-specific deps (no grub on ARM)

* Thu May 12 2016 tmb <tmb> 2.3-6.mga6
+ Revision: 1014034
- fix typo in requires

* Thu May 12 2016 neoclust <neoclust> 2.3-5.mga6
+ Revision: 1014029
- Do not requires grub on arm

* Thu May 12 2016 neoclust <neoclust> 2.3-4.mga6
+ Revision: 1014026
- Do not requires syslinux on arm

* Tue Feb 09 2016 umeabot <umeabot> 2.3-3.mga6
+ Revision: 952759
- Mageia 6 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 2.3-2.mga6
+ Revision: 930525
- Mageia 6 Mass Rebuild

* Fri May 22 2015 tmb <tmb> 2.3-1.mga5
+ Revision: 822659
- generate proper efi isohybrid
- use xorriso for proper efi metadata
- add noiswmd on kernel command line
- add efiboot.img on x86_64 isos
- add missing isolinux menu files

* Wed Oct 15 2014 umeabot <umeabot> 2.2-4.mga5
+ Revision: 743099
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2-3.mga5
+ Revision: 678838
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 2.2-2.mga4
+ Revision: 523378
- Mageia 4 Mass Rebuild

* Sat Apr 13 2013 tmb <tmb> 2.2-1.mga3
+ Revision: 410035
- umount_system_fs(): unmount /run too

* Sun Mar 17 2013 solbu <solbu> 2.1-4.mga3
+ Revision: 403568
- Fix Url

* Wed Jan 23 2013 fwang <fwang> 2.1-3.mga3
+ Revision: 391423
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 2.1-2.mga3
+ Revision: 349087
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 28 2012 tmb <tmb> 2.1-1.mga3
+ Revision: 298911
- adapt for usbfs death, change /proc/bus/usb to /sys/kernel/debug/usb
- drop harcoded /etc/dracut.conf.d/60-live.conf
- unmount /dev when needed

* Sat Sep 01 2012 tv <tv> 2.0-2.mga3
+ Revision: 287083
- setarch was replaced by coreutils long time ago

* Sun Apr 22 2012 tmb <tmb> 2.0-1.mga2
+ Revision: 232656
- 2.0:
  adapt for creating Mageia 2 livecds
  we now rely on udev, systemd and dracut

* Wed Dec 28 2011 tmb <tmb> 1.4-1.mga2
+ Revision: 188439
- use gfxboot.c32 as graphical boot loader
- add more space in initrd for plymouth
- adapt for Mageia naming scheme (https://wiki.mageia.org/en/Product_naming)
- drop buildroot and defattr

* Sat May 28 2011 blino <blino> 1.3-1.mga1
+ Revision: 100595
- 1.3
- if live->{settings}{set} is defined:
  o add a -<set> suffix to chroot/build directories
  o link iso image with -<set> prefix

* Fri May 20 2011 blino <blino> 1.2-1.mga1
+ Revision: 99845
- suggest draklive-config virtual package (instead of old hardcoded name)
- require mgatools instead of mkcd (for md5 helper)
- 1.2
- use mgaiso-addmd5 instead of mkcd --addmd5
- umount /proc and /sys in chroot before cleaning or compressing
- require squashfs-tools (not squashfs3)

* Wed Mar 16 2011 blino <blino> 1.1-1.mga1
+ Revision: 72521
- 1.1 (xz support for squashfs and fix default gfxboot theme name)

* Tue Mar 15 2011 blino <blino> 1.0-1.mga1
+ Revision: 72140
- 1.0
- imported package draklive

